<?php
/*
Plugin Name: Combo YouTube
Plugin URI: http://angelicanose.weebly.com
Description: Insert easy Youtube Videos on WordPress blog using quicktag <code>[tube][/tube]</code>
Version: 2.3
Author: Angelica Defos
Author URI: http://angelicanose.weebly.com
*/
/*  Copyright 2012 Angelica Defos  (angelicanose@mail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// Define global params
$embedtube_version	= "1.7";											// version of plugin 
$embedtube_random	= substr(md5(uniqid(rand(), true)),0,4);			// create unique id for divs
$embedtube_number	= 0; 												// number of swf into page
$embedtube_params	= array (
						"embedtube_width"				=>	"560",		// Player width
						"embedtube_height"				=>	"344",		// Player height
						"embedtube_method"				=>	"object",	// Embed Method
						"embedtube_player_version"		=>	"as3",		// Player Version
						
						"embedtube_showinfo"			=>	"1",		// Display information Video
						"embedtube_autoplay"			=>	"0",		// Autoplay Video
						"embedtube_theme"				=>	"dark",		// Player them
						
						"embedtube_fs"					=>	"0",		// Enable Fullscreen Button
						"embedtube_rel"				=>	"1",		// Show Related videos
						"embedtube_cc_load_policy"		=>	"1",		// Show Close Captions
						"embedtube_iv_load_policy"		=>	"1",		// Display Annotations in Videos
						
						"embedtube_hd"					=>	"0",		// Enable default HD playback
						"embedtube_showsearch"			=>	"1",		// Show Search Box
						
						"embedtube_modestbranding"		=>	"0"			// show a YouTube logo
						);

// Define general options
add_option("embedtube_width",			$embedtube_params["embedtube_width"]);
add_option("embedtube_height",			$embedtube_params["embedtube_height"]);
add_option("embedtube_method",			$embedtube_params["embedtube_method"]);
add_option("embedtube_player_version",	$embedtube_params["embedtube_player_version"]);

add_option("embedtube_showinfo", 		$embedtube_params["embedtube_showinfo"]);
add_option("embedtube_autoplay",		$embedtube_params["embedtube_autoplay"]);
add_option("embedtube_theme",			$embedtube_params["embedtube_theme"]);

add_option("embedtube_fs",				$embedtube_params["embedtube_fs"]);
add_option("embedtube_rel",			$embedtube_params["embedtube_rel"]);
add_option("embedtube_iv_load_policy", $embedtube_params["embedtube_iv_load_policy"]);
add_option("embedtube_cc_load_policy", $embedtube_params["embedtube_cc_load_policy"]);

add_option("embedtube_hd", 			$embedtube_params["embedtube_hd"]);
add_option("embedtube_showsearch", 	$embedtube_params["embedtube_showsearch"]);

add_option("embedtube_modestbranding",	$embedtube_params["embedtube_modestbranding"]);


function getConfigTube() {
	// get config options
	global $embedtube_params;
    static $config;
    if ( empty($config) ) {
		foreach( $embedtube_params as $option => $default) {
			$config[$option] = get_option($option);
		}
    }
    return $config;
}
function parseTube($text) {
	// regexp for find swfs
    return preg_replace_callback('|\[tube\](.+?)(,(.+?))?\[/tube\]|i', 'writeTube', $text);
}
function writeTube($match) {
    global $embedtube_random, $embedtube_number;
	$embedtube_config = getConfigTube();
	$embedtube_number++;
	$embedtube_text = "";
	
	$embedtube_path = trim(str_replace("&#038;", "&", $match[1]));
	$embedtube_width = $embedtube_config['embedtube_width'];		// video width
	$embedtube_height = $embedtube_config['embedtube_height'];	// video height
	$embedtube_method = $embedtube_config['embedtube_method'];	// embed method
	$embedtube_tubeID = "";								// video ID
	
	// verify width and height 
	if ($match[3] != "") {
		$tmatch = explode(",", $match[3]);
		$embedtube_width = trim($tmatch[0]);
		$embedtube_height = trim($tmatch[1]);
	}
	
	// use 'object' method in feed
	if (is_feed() || $doing_rss) {
		$embedtube_method = "object";
	}
	// use 'iphone' method in iPhone
	if (!(strpos($_SERVER['HTTP_USER_AGENT'], "iPhone") === false)) {
		$embedtube_method = "iphone";
	}
	
	
	// Parse youtube url and get video id
	$embedtube_tube = parse_url($embedtube_path);
	if ($embedtube_tube["host"] == "www.youtube.com") {
		if ($embedtube_tube["path"] == "/watch") {
			parse_str($embedtube_tube["query"], $tube_que);
			if ($tube_que["v"] != "") { 
				$embedtube_tubeID = $tube_que["v"];
			}
		} else {
			parse_str($embedtube_tube["path"], $tube_que);
			if (key($tube_que) != "") {
				$embedtube_tubeID = substr(key($tube_que),3);
			} 
		}
	} else {
		$embedtube_tubeID = $embedtube_path;
	}
	// generate video url
	if ($embedtube_method == "iframe") {
		$embedtube_path = "http://www.youtube.com/embed/".$embedtube_tubeID."?";
		if ($embedtube_config['embedtube_autoplay'] == "1") {
			$embedtube_path.= "&amp;autoplay=1";
		}
		if ($embedtube_config['embedtube_showinfo'] == "0") {
			$embedtube_path.= "&amp;showinfo=0";
		}
		if ($embedtube_config['embedtube_theme'] != "") {
			$embedtube_path.= "&amp;theme=".$embedtube_config['embedtube_theme'];
		}
	} else {
		switch ($embedtube_config['embedtube_player_version']) {
			case "as3":
				$embedtube_path = "http://www.youtube.com/v/".$embedtube_tubeID."?version=3";
				if ($embedtube_config['embedtube_autoplay'] == "1") {
					$embedtube_path.= "&amp;autoplay=1";
				}
				if ($embedtube_config['embedtube_showinfo'] == "0") {
					$embedtube_path.= "&amp;showinfo=0";
				}
				if ($embedtube_config['embedtube_theme'] != "") {
					$embedtube_path.= "&amp;theme=".$embedtube_config['embedtube_theme'];
				}
				
				if ($embedtube_config['embedtube_fs'] != "") {
					$embedtube_path.= "&amp;fs=".$embedtube_config['embedtube_fs'];
				}
				if ($embedtube_config['embedtube_rel'] == "0") {
					$embedtube_path.= "&amp;rel=0";
				}
				if ($embedtube_config['embedtube_cc_load_policy'] == "1") {
					$embedtube_path.= "&amp;cc_load_policy=1";
				}
				if ($embedtube_config['embedtube_iv_load_policy'] != "") {
					$embedtube_path.= "&amp;iv_load_policy=".$embedtube_config['embedtube_iv_load_policy'];
				}
				
				if ($embedtube_config['embedtube_modestbranding'] != "") {
					$embedtube_path.= "&amp;modestbranding=".$embedtube_config['embedtube_modestbranding'];
				}
				break;
			case "as2":
				$embedtube_path = "http://www.youtube.com/v/".$embedtube_tubeID."?feature=player_embedded";
				if ($embedtube_config['embedtube_autoplay'] == "1") {
					$embedtube_path.= "&amp;autoplay=1";
				}
				if ($embedtube_config['embedtube_showinfo'] == "0") {
					$embedtube_path.= "&amp;showinfo=0";
				}
				if ($embedtube_config['embedtube_theme'] != "") {
					$embedtube_path.= "&amp;theme=".$embedtube_config['embedtube_theme'];
				}
				
				if ($embedtube_config['embedtube_fs'] != "") {
					$embedtube_path.= "&amp;fs=".$embedtube_config['embedtube_fs'];
				}
				if ($embedtube_config['embedtube_rel'] == "0") {
					$embedtube_path.= "&amp;rel=0";
				}
				if ($embedtube_config['embedtube_cc_load_policy'] == "1") {
					$embedtube_path.= "&amp;cc_load_policy=1";
				}
				if ($embedtube_config['embedtube_iv_load_policy'] != "") {
					$embedtube_path.= "&amp;iv_load_policy=".$embedtube_config['embedtube_iv_load_policy'];
				}
				
				if ($embedtube_config['embedtube_hd'] == "1") {
					$embedtube_path.= "&amp;hd=1";
				}
				if ($embedtube_config['embedtube_showsearch'] == "0") {
					$embedtube_path.= "&amp;showsearch=0";
				}
				break;
			case "tubeplayer":
				$embedtube_path = WP_PLUGIN_URL."/embed-youtube-player/tubeplayer.swf?videoId=".$embedtube_tubeID;
				if ($embedtube_config['embedtube_autoplay'] == "1") {
					$embedtube_path.= "&amp;autoPlay=true";
				}
				break;
		}
	}
	
	// Write code for embed
	switch ($embedtube_method) {
		case "iphone":
			$embedtube_text = "<object type=\"application/x-shockwave-flash\" width=\"".$embedtube_width."\" height=\"".$embedtube_height."\" data=\"".$embedtube_path."\">";
			$embedtube_text.= "<param name=\"src\" value=\"".$embedtube_path."\" />\n";
			$embedtube_text.= "<param name=\"wmode\" value=\"transparent\" />";
			$embedtube_text.= "</object>\n";
			break;
		case "iframe":
			$embedtube_text = "<iframe type=\"text/html\" width=\"".$embedtube_width."\" height=\"".$embedtube_height."\" src=\"".$embedtube_path."\" frameborder=\"0\"></iframe>";
			break;
		case "object":
			// Use XHTML code
			$embedtube_text.= "\n<object width=\"".$embedtube_width."\" height=\"".$embedtube_height."\">\n";
			$embedtube_text.= "<param name=\"movie\" value=\"".$embedtube_path."\"></param>\n";
			$embedtube_text.= "<param name=\"allowScriptAccess\" value=\"always\"></param>\n";
			if ($embedtube_config['embedtube_fs'] == "1") {
				$embedtube_text.= "<param name=\"allowFullScreen\" value=\"true\"></param>\n";
			}
			$embedtube_text.= "<embed src=\"".$embedtube_path."\" type=\"application/x-shockwave-flash\" allowScriptAccess=\"always\"";
			if ($embedtube_config['embedtube_fs'] == "1") {
				$embedtube_text.= " allowfullscreen=\"true\"";
			}
			$embedtube_text.= " width=\"".$embedtube_width."\" height=\"".$embedtube_height."\"></embed>\n";
			$embedtube_text.= "</object>\n";
			break;
		case "swfobject":
			// Use SWFObject 2.0 code
			$embedtube_params = "allowScriptAccess: \"always\", ";
			if ($embedtube_config['embedtube_fs'] == "1") {
				$embedtube_params.= ", allowFullScreen: \"true\"";
			}
			$embedtube_text = "<div id=\"swf".$embedtube_random.$embedtube_number."\">".$embedswf_config['swf_message']."</div>";
			$embedtube_text.= "\n<script type=\"text/javascript\">\n";
			$embedtube_text.= "\tswfobject.embedSWF(\"".$embedtube_path."\", \"swf".$embedtube_random.$embedtube_number."\", \"".$embedtube_width."\", \"".$embedtube_height."\", \"9\", \"\", {}, {".$embedtube_params."}, {});\n";
			$embedtube_text.= "</script>\n";
			break;
		default:
			$embedtube_text = "";
			break;
	}
	return $embedtube_text;
}

function embed_youtubeplayer($path, $width="", $heigth="") {
	if ($width == "" && $heigth == "")  {
    	echo writeTube( array(null, $path) );
	} else {
		echo writeTube( array(null, $path, "", $width.", ".$heigth) );	
	}
}

function showConfigPageTube() {
	// update general options
	global $embedtube_version, $embedtube_params;
	if (isset($_POST['embedtube_update'])) {
		check_admin_referer();
		foreach( $embedtube_params as $option => $default ) {
			$embedtube_param = trim($_POST[$option]);
			if ($embedtube_param == "") {
				$embedtube_param = $default;
			}
			update_option($option, $embedtube_param);
		}
		echo "<div class='updated'><p><strong>Embed Youtube Player options updated</strong></p></div>";
	}
	$embedtube_config = getConfigTube();
?>
		<form method="post" action="options-general.php?page=embed-youtube-player.php">
		<div class="wrap">
			<h2>Embed Youtube Player <sup style='color:#D54E21;font-size:12px;'><?php echo $embedtube_version; ?></sup></h2>
            <p>
            	Embed Youtube Allow insert Youtube videos into Wordpress blog using quicktag <code>[tube][/tube]</code> tag.
			</p>
            <h3>Player Options</h3>
            <table class="form-table">
            	<tr>
                    <th scope="row">
                        <label for="embedtb_method">Embed Method</label>
                    </th>
                    <td>
                    	<div id="diviframe">
                            <input type="radio" name="embedtube_method" id="embedtube_method_iframe" value="iframe"<?php if ($embedtube_config["embedtube_method"] == "iframe") { echo " checked=\"checked\""; } ?> />
                            <label for="embedtube_method_iframe">Use <code>&lt;iframe&gt;</code> </label>
                        </div>
                    	<div>
                            <input type="radio" name="embedtube_method" id="embedtube_method_object" value="object"<?php if ($embedtube_config["embedtube_method"] == "object") { echo " checked=\"checked\""; } ?> />
                            <label for="embedtube_method_object">Use <code>&lt;object&gt;</code> <em>(AS3 &amp; AS2 Players)</em></label>
                        </div>
                        <div>
                            <input type="radio" name="embedtube_method" id="embedtube_method_swfobject" value="swfobject"<?php if ($embedtube_config["embedtube_method"] == "swfobject") { echo " checked=\"checked\""; } ?> />
                            <label for="embedtube_method_swfobject">Use <code>SWFObject</code> <em>(AS3 &amp; AS2 Players)</em></label>
                        </div>
                    </td>
                </tr>
            	<tr class="embed">
                    <th scope="row">
                        <label for="embedtube_player_version">Player Version</label>
                    </th>
                    <td>
                    	<div>
                            <input type="radio" name="embedtube_player_version" id="embedtube_player_version_as3" value="as3"<?php if ($embedtube_config["embedtube_player_version"] == "as3") { echo " checked=\"checked\""; } ?> />
                            <label for="embedtube_player_version_as3">Use AS3 player</label>
                        </div>
                        <div>
                            <input type="radio" name="embedtube_player_version" id="embedtube_player_version_as2" value="as2"<?php if ($embedtube_config["embedtube_player_version"] == "as2") { echo " checked=\"checked\""; } ?> />
                            <label for="embedtube_player_version_as2">Use AS2 player</label>
                        </div>
                        <div>
                            <input type="radio" name="embedtube_player_version" id="embedtube_player_version_tubeplayer" value="tubeplayer"<?php if ($embedtube_config["embedtube_player_version"] == "tubeplayer") { echo " checked=\"checked\""; } ?> />
                            <label for="embedtube_player_version_as2">Use tubePlayer</label>
                        </div>
                    </td>
                </tr>
            	<tr>
                    <th scope="row">
                        <label for="embedtube_width">Player width</label>
                    </th>
                    <td>
                        <input type="text" name="embedtube_width" id="embedtube_width" value="<?php echo $embedtube_config["embedtube_width"]; ?>" style="width:100px;" />
                        <span class="description">Player width in pixels</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="embedtube_height">Player height</label>
                    </th>
                    <td>
                        <input type="text" name="embedtube_height" id="embedtube_height" value="<?php echo $embedtube_config["embedtube_height"]; ?>" style="width:100px;" />
                        <span class="description">Player height in pixels</span>
                    </td>
                </tr>
			</table>
            <br class="all" />
            <h3 class="all">Basic embed options</h3>
			<table class="form-table">
            	<tr class="all">
                    <th scope="row">
                        <label for="embedtube_showinfo">Show video info</label>
                    </th>
                    <td>
                        <select name="embedtube_showinfo" id="embedtube_showinfo" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_showinfo"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_showinfo"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="all tube">
                    <th scope="row">
                        <label for="embedtube_autoplay">Autoplay video</label>
                    </th>
                    <td>
                        <select name="embedtube_autoplay" id="embedtube_autoplay" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_autoplay"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_autoplay"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="all">
                    <th scope="row">
                        <label for="embedtube_theme">Player theme</label>
                    </th>
                    <td>
                        <select name="embedtube_theme" id="embedtube_theme" style="width:100px;">
                            <option value="dark" <?php if ($embedtube_config["embedtube_theme"] == "dark") { echo "selected=\"selected\""; } ?>>dark</option>
                            <option value="light" <?php if ($embedtube_config["embedtube_theme"] == "light") { echo "selected=\"selected\""; } ?>>light</option>
                        </select>
                    </td>
                </tr>
			</table>
            <br class="as2as3" />
            <h3 class="as2as3">Extra embed options</h3>
            <table class="form-table">
            	<tr class="as2as3 tube">
                    <th scope="row">
                        <label for="embedtube_fs">Enable fullscreen</label>
                    </th>
                    <td>
                        <select name="embedtube_fs" id="embedtube_fs" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_fs"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_fs"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="as2as3">
                    <th scope="row">
                        <label for="embedtube_rel">Show related videos</label>
                    </th>
                    <td>
                        <select name="embedtube_rel" id="embedtube_rel" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_rel"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_rel"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="as2as3">
                    <th scope="row">
                        <label for="embedtube_annotations">Show close captions</label>
                    </th>
                    <td>
                        <select name="embedtube_cc_load_policy" id="embedtube_cc_load_policy" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_cc_load_policy"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_cc_load_policy"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="as2as3">
                    <th scope="row">
                        <label for="embedtube_iv_load_policy">Show annotations</label>
                    </th>
                    <td>
                        <select name="embedtube_iv_load_policy" id="embedtube_iv_load_policy" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_iv_load_policy"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="3" <?php if ($embedtube_config["embedtube_iv_load_policy"] == "3") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="as2">
                    <th scope="row">
                        <label for="embedtube_hd">Enable default HD playback</label>
                    </th>
                    <td>
                        <select name="embedtube_hd" id="embedtube_hd" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_hd"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_hd"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
               </tr>
               <tr class="as2">
                    <th scope="row">
                        <label for="embedtube_showsearch">Show Search Box</label>
                    </th>
                    <td>
                        <select name="embedtube_showsearch" id="embedtube_showsearch" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_showsearch"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_showsearch"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
                <tr class="as3">
                    <th scope="row">
                        <label for="embedtube_modestbranding">Hide Youtube logo</label>
                    </th>
                    <td>
                        <select name="embedtube_modestbranding" id="embedtube_modestbranding" style="width:100px;">
                            <option value="1" <?php if ($embedtube_config["embedtube_modestbranding"] == "1") { echo "selected=\"selected\""; } ?>>true</option>
                            <option value="0" <?php if ($embedtube_config["embedtube_modestbranding"] == "0") { echo "selected=\"selected\""; } ?>>false</option>
                        </select>
                    </td>
                </tr>
            </table>
            <p class="submit">
              <input name="embedtube_update" value="Save Changes" type="submit" class="button-primary" />
            </p>
            <table>
                <tr>
                    <th width="30%" style="padding-top: 10px; text-align:left;" colspan="2">
                        How to use Embed Youtube Player
                  </th>
                </tr>
                <tr>
                    <td colspan="2">
                    	<p>To include Youtube Videos on post content or Text Widget can use code:</p>
                    	<p>Use Youtube URL: <code>[tube]http://www.youtube.com/watch?v=AFVlJAi3Cso[/tube]</code></p>
               			<p>Use Youtube Embed URL: <code>[tube]http://www.youtube.com/v/AFVlJAi3Cso[/tube]</code></p>
                		<p>Use Youtube Video ID: <code>[tube]AFVlJAi3Cso[/tube]</code></p>
            		</td>
                </tr>
                <tr>
                    <th width="30%" style="padding-top: 10px; text-align:left;" colspan="2">
                        More Information and Support
                    </th>
                </tr>
            	<tr>
                	<td colspan="2">
                      <p>Check for updates and comment there if you have any problems / questions / suggestions. </p>
                      <ul>
                        <li><a href="http://dennisplatform.weebly.com">Plugin Home Page</a></li>
                        <li><a href="https://developers.google.com/youtube/player_parameters">YouTube Embedded Players and Player Parameters</a></li>
                    </ul>
                    <p>&nbsp;</p>
                    </td>
              </tr>
            </table>
    </div>
    </form>
    <script type="text/javascript">
		jQuery(document).ready(function(){
			var method = "<?php echo $embedtube_config["embedtube_method"]; ?>";
			var player = "<?php echo $embedtube_config["embedtube_player_version"]; ?>";
			
			function renderOptions() {
				switch (method) {
					case "iframe":
						jQuery('.all').show();
						jQuery('.as2as3, .as2, .as3, .embed').hide();
						break;
					case "object":
					case "swfobject":
						jQuery('.embed').show();
						jQuery('.all').show();
						switch (player) {
							case "as3":
								jQuery('.as2as3, .as3').show();
								jQuery('.as2').hide();
								break;
							case "as2":
								jQuery('.as2as3, .as2').show();
								jQuery('.as3').hide();
								break;
							case "tubeplayer":
								jQuery('.as2as3, .as2, .as3, .all').hide();
								jQuery('.tube').show();
								break;	
						}
						break;
				}
			}
			jQuery('#embedtube_method_iframe, #embedtube_method_object, #embedtube_method_swfobject').click(function(e) {
				method = jQuery(this).val();
				renderOptions();
            });
			jQuery('#embedtube_player_version_as3, #embedtube_player_version_as2, #embedtube_player_version_tubeplayer').click(function(e) {
				player = jQuery(this).val();
                renderOptions();
            });
			
			renderOptions();
		});
	</script>
<?php
}
function addMenuTube() {
	// add menu options
	add_options_page('Embed Youtube Player Options', 'Embed Youtube Player', 'manage_options', basename(__FILE__), 'showConfigPageTube');
}
function addHeaderTube() {
	// Add SWFObject to header
	global $embedtube_version;
	echo "\n<!-- Embed Youtube Player ".$embedtube_version." by unijimpe -->\n";
	if (get_option('embedtube_method') == "swfobject") { 
	echo "<script src=\"http://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js\" type=\"text/javascript\"></script>\n";
	}
}

add_filter('the_content', 'parseTube');
add_filter('widget_text', 'parseTube');

add_action('wp_head', 'addHeaderTube');
add_action('admin_menu', 'addMenuTube');
?>